Subject: bug#22301: closed (Re: bug#22301: 25.1.50; Emacs crashes while lisp debugging)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 07 Dec 2016 18:56:02 +0000

Your bug report

#22301: 25.1.50; Emacs crashes while lisp debugging

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
22301: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=22301
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#22301: 25.1.50; Emacs crashes while lisp debugging
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Wed, 07 Dec 2016 13:55:49 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Vincent Belaïche wrote:

> I could not reproduce it with the -Og compilation either. I tried to
> recompile with same options as the crashing Emacs (-O3 and no CFLAGS)
> and I could not reproduce it either.
>
> I am now sure that the crashing Emacs was compiled with a w32 (not w64)
> mingw, because when compiling with w64 you get `(i686-w64-mingw32)' in
> the Emacs bug reprot, while in the orginal report there was
> `(i686-pc-mingw32)'.
>
> So either
>
> - the changes made in ses.el by me now hide the bug (or the crash won't
>   happen so easily), or
>
> - there was some changes in the C code since the crashing Emacs, and
>   that has corrected or moved/hidden the problem.
>
>
> So now, I am trying to reproduce the crash again with the Emacs instance
> that initially was crashing in order to find some more deterministic way
> to produce the crash and be able to test again those other Emacs
> instance with a more reliable verdict.

Since the best part of a year has passed, I don't think this report is
going to go anywhere and am closing it. I suggest opening a new report
if you have a more reproducible/debuggable case.

Subject: 25.1.50; Emacs crashes while lisp debugging
From: Vincent Belaïche <[email-masked]>
To: [email-masked]
Cc: Vincent Belaïche <[email-masked]>
Date: Sun, 03 Jan 2016 23:43:14 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Here is the gdb backtrace which I got after attaching gdb to Emacs:

-8<-----8<-----8<-----8<-----8<-----8<-----8<-----8<-----8<-----8<-----8<----
Vincent@AIGLEROYAL /c/Programmes/installation/emacs-install/master/emacs/src
$ gdb -p 6556
GNU gdb (GDB) 7.6.1
Copyright (C) 2013 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "mingw32".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Attaching to process 6556
[New Thread 6556.0xedc]
[New Thread 6556.0x1b90]
[New Thread 6556.0x2654]
[New Thread 6556.0xfe8]
Reading symbols from C:\Nos_Programmes\GNU\Emacs\bin\emacs.exe...done.
To enable execution of this file add
	add-auto-load-safe-path c:\Programmes\installation\emacs-install\master\emacs\src\.gdbinit
line to your configuration file "c:/Users/Vincent/AppData/Roaming/.gdbinit".
To completely disable this security protection add
	set auto-load safe-path /
line to your configuration file "c:/Users/Vincent/AppData/Roaming/.gdbinit".
For more information about this security protection see the
"Auto-loading safe path" section in the GDB manual.  E.g., run from the shell:
	info "(gdb)Auto-loading safe path"
(gdb) warning: File "c:\Programmes\installation\emacs-install\master\emacs\src\.gdbinit" auto-loading has been declined by your `auto-load safe-path' set to "$debugdir:$datadir/auto-load;C:\Programmes\installation\emacs-install\emacs\trunk\src\.gdbinit".

(gdb) 
(gdb) continue
Continuing.

Program received signal SIGTRAP, Trace/breakpoint trap.
[Switching to Thread 6556.0xedc]
0x75fb82e3 in KERNELBASE!DebugBreak () from C:\WINDOWS\SYSTEM32\KernelBase.dll
(gdb) bt full
#0  0x75fb82e3 in KERNELBASE!DebugBreak ()
   from C:\WINDOWS\SYSTEM32\KernelBase.dll
No symbol table info available.
#1  0x0114d335 in emacs_abort () at w32fns.c:9780
        button = <optimized out>
#2  0x01095247 in terminate_due_to_signal (sig=sig@entry=11, 
    backtrace_limit=backtrace_limit@entry=40) at emacs.c:398
No locals.
#3  0x010aa7f2 in handle_fatal_signal (sig=sig@entry=11) at sysdep.c:1591
No locals.
#4  0x010aa8ea in deliver_thread_signal (
    handler=0x10aa7db <handle_fatal_signal>, sig=11) at sysdep.c:1565
No locals.
#5  deliver_fatal_thread_signal (sig=11) at sysdep.c:1603
No locals.
#6  0x010010f9 in _gnu_exception_handler@4 ()
No symbol table info available.
#7  0x75fbf462 in UnhandledExceptionFilter ()
   from C:\WINDOWS\SYSTEM32\KernelBase.dll
No symbol table info available.
#8  0x00bfdbb4 in ?? ()
No symbol table info available.
#9  0x771e2ccb in ntdll!WinSqmEventWrite () from C:\WINDOWS\SYSTEM32\ntdll.dll
No symbol table info available.
#10 0x00bfdbb4 in ?? ()
No symbol table info available.
#11 0x771a568e in ntdll!RtlUnicodeStringToInteger ()
   from C:\WINDOWS\SYSTEM32\ntdll.dll
No symbol table info available.
#12 0xffffffff in ?? ()
No symbol table info available.
#13 0x771cb6df in ntdll!RtlCaptureContext ()
   from C:\WINDOWS\SYSTEM32\ntdll.dll
No symbol table info available.
#14 0x00000000 in ?? ()
No symbol table info available.
(gdb) xbacktrace
(gdb) Undefined command: "xbacktrace".  Try "help".

quit
A debugging session is active.

	Inferior 1 [process 6556] will be detached.

Quit anyway? (y or n) [answered Y; input not from terminal]
Detaching from program: C:\Nos_Programmes\GNU\Emacs\bin\emacs.exe, Pid 6556
-8<-----8<-----8<-----8<-----8<-----8<-----8<-----8<-----8<-----8<-----8<----

The crash happened while I was debugging a modified version of SES. I
am not sure I can reproduce it.

In GNU Emacs 25.1.50.1 (i686-pc-mingw32)
 of 2015-12-16
Repository revision: 23b5c22703eeee7b4fe6608ce12ffe3b87794933
Windowing system distributor 'Microsoft Corp.', version 10.0.10586
Configured using:
 'configure --prefix=c:/Nos_Programmes/GNU/Emacs --without-jpeg
 --without-tiff --without-gif --without-png 'CPPFLAGS= -DFOR_MSW=1 -I
 C:/Programmes/installation/emacs-install/libXpm-3.5.8/include -I
 C:/Programmes/installation/emacs-install/libXpm-3.5.8/src -L
 C:/Programmes/installation/emacs-install/libXpm-3.5.8/src''

Configured features:
XPM SOUND NOTIFY ACL TOOLKIT_SCROLL_BARS

Important settings:
  value of $LANG: FRA
  locale-coding-system: cp1252

Major mode: Shell

Minor modes in effect:
  shell-dirtrack-mode: t
  recentf-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
]0;MINGW32:/c
[32mVincent@AIGLEROYAL [33m/c[0m
$ <=
bash refresh default directory ... done
c:/Programmes/installation/emacs-install/master/emacs/src 
Mark set
Making completion list...
Loading dired-x...done
Quit
GNU Emacs 25.1.50.1 (i686-pc-mingw32) of 2015-12-16

Load-path shadows:
c:/Programmes/installation/cedet-install/cedet-git/lisp/speedbar/loaddefs hides c:/Nos_Programmes/GNU/Emacs/share/emacs/25.1.50/lisp/loaddefs
c:/Programmes/installation/cedet-install/cedet-git/lisp/speedbar/loaddefs hides c:/Programmes/installation/cedet-install/cedet-git/lisp/cedet/loaddefs

Features:
(shadow sort bbdb-message gnus-util mail-extr emacsbug message dired-x
dired format-spec rfc822 mml mml-sec mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util help-fns help-mode mail-prsvr mail-utils
pcmpl-unix shell pcomplete comint ansi-color ring edmacro kmacro
skeleton calc-misc calc-arith calc-ext calc calc-loaddefs calc-macs
tex-mik preview-latex tex-site auto-loads bbdb bbdb-site timezone
bbdb-loaddefs template w32utils cl-seq cl-macs cl gv recentf tree-widget
wid-edit cl-loaddefs pcase cl-lib easymenu load-path-to-cedet-svn
time-date mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel dos-w32 ls-lisp disp-table w32-win w32-vars
term/common-win tool-bar dnd fontset image regexp-opt fringe
tabulated-list newcomment elisp-mode lisp-mode prog-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese charscript case-table epa-hook jka-cmpr-hook help
simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs button
faces cus-face macroexp files text-properties overlay sha1 md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote w32notify w32 multi-tty make-network-process emacs)

Memory information:
((conses 8 138522 6955)
 (symbols 32 24625 0)
 (miscs 32 96 163)
 (strings 16 27894 4614)
 (string-bytes 1 825847)
 (vectors 8 15431)
 (vector-slots 4 460319 8130)
 (floats 8 153 185)
 (intervals 28 926 208)
 (buffers 516 14))